%global pypi_name oslo.rootwrap

Summary:    Oslo Rootwrap
Name:       python-oslo-rootwrap
Version:    6.2.0
Release:    2%{?dist}
License:    Apache-2.0
URL:        https://opendev.org/openstack/%{pypi_name}
Source0:    %{pypi_source}

Requires:    python3-six
BuildArch:   noarch

%description
OpenStack library for rootwrap

%package -n python3-oslo-rootwrap
Summary:    Oslo Rootwrap
BuildRequires:    python3-devel python3-setuptools python3-pip python3-pbr
Provides:    python-oslo-rootwrap

%description -n python3-oslo-rootwrap
OpenStack library for rootwrap

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-oslo-rootwrap
%{_bindir}/*
%{python3_sitelib}/oslo_rootwrap
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 6.2.0-1
- initial build
